Skip to content

Delete an office hours schedule

Request

You can delete a single office hours schedule.

Security
bearerAuth
Path
idstringrequired

The unique identifier for the office hours schedule.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X DELETE \
  https://api.intercom.io/office_hours_schedules/123 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

Office hours schedule deleted

Bodyapplication/json
idstring
Example:"123"
objectstring
Example:"office_hours_schedule"
deletedboolean
Example:true
Response
{ "id": "123", "object": "office_hours_schedule", "deleted": true }